org.kie.internal.utils

## Class KieHelper

- java.lang.Object
- - org.kie.internal.utils.KieHelper

-     public class KieHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.kie.api.builder.KieFileSystem` | `kfs`
    `org.kie.api.KieServices` | `ks`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KieHelper()`
    `KieHelper(KnowledgeBuilderOption... options)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KieHelper` | `addContent(org.kie.api.definition.KieDescr descr)`
    `KieHelper` | `addContent(String content, org.kie.api.io.ResourceType type)`
    `KieHelper` | `addContent(String content, String name)`
    `KieHelper` | `addFromClassPath(String name)`
    `KieHelper` | `addFromClassPath(String name, String encoding)`
    `KieHelper` | `addResource(org.kie.api.io.Resource resource)`
    `KieHelper` | `addResource(org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type)`
    `org.kie.api.KieBase` | `build(Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType, org.kie.api.conf.KieBaseOption... options)`
    `org.kie.api.KieBase` | `build(org.kie.api.KieBaseConfiguration kieBaseConf)`
    `org.kie.api.KieBase` | `build(org.kie.api.conf.KieBaseOption... options)`
    `org.kie.api.runtime.KieContainer` | `getKieContainer()`
    `org.kie.api.runtime.KieContainer` | `getKieContainer(Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType)`
    `KieHelper` | `setClassLoader(ClassLoader classLoader)`
    `KieHelper` | `setKieModuleModel(org.kie.api.builder.model.KieModuleModel kieModuleModel)`
    `KieHelper` | `setReleaseId(org.kie.api.builder.ReleaseId releaseId)`
    `org.kie.api.builder.Results` | `verify()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ks

          public final org.kie.api.KieServices ks

    - #### kfs

          public final org.kie.api.builder.KieFileSystem kfs

  - ### Constructor Detail

    - #### KieHelper

          public KieHelper()

    - #### KieHelper

          public KieHelper(KnowledgeBuilderOption... options)

  - ### Method Detail

    - #### build

          public org.kie.api.KieBase build(org.kie.api.KieBaseConfiguration kieBaseConf)

    - #### build

          public org.kie.api.KieBase build(org.kie.api.conf.KieBaseOption... options)

    - #### build

          public org.kie.api.KieBase build(Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType,
                                           org.kie.api.conf.KieBaseOption... options)

    - #### getKieContainer

          public org.kie.api.runtime.KieContainer getKieContainer()

    - #### getKieContainer

          public org.kie.api.runtime.KieContainer getKieContainer(Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType)

    - #### verify

          public org.kie.api.builder.Results verify()

    - #### setReleaseId

          public KieHelper setReleaseId(org.kie.api.builder.ReleaseId releaseId)

    - #### setClassLoader

          public KieHelper setClassLoader(ClassLoader classLoader)

    - #### setKieModuleModel

          public KieHelper setKieModuleModel(org.kie.api.builder.model.KieModuleModel kieModuleModel)

    - #### addContent

          public KieHelper addContent(org.kie.api.definition.KieDescr descr)

    - #### addContent

          public KieHelper addContent(String content,
                                      org.kie.api.io.ResourceType type)

    - #### addContent

          public KieHelper addContent(String content,
                                      String name)

    - #### addFromClassPath

          public KieHelper addFromClassPath(String name)

    - #### addFromClassPath

          public KieHelper addFromClassPath(String name,
                                            String encoding)

    - #### addResource

          public KieHelper addResource(org.kie.api.io.Resource resource)

    - #### addResource

          public KieHelper addResource(org.kie.api.io.Resource resource,
                                       org.kie.api.io.ResourceType type)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.